
import { localize } from '@codingame/monaco-vscode-api/vscode/vs/nls';
import { registerColor, transparent } from '@codingame/monaco-vscode-api/vscode/vs/platform/theme/common/colorUtils';
import '@codingame/monaco-vscode-api/vscode/vs/platform/theme/common/colors/baseColors';
import '@codingame/monaco-vscode-api/vscode/vs/platform/theme/common/colors/chartsColors';
import { mergeCurrentHeaderBackground, mergeIncomingHeaderBackground } from '@codingame/monaco-vscode-api/vscode/vs/platform/theme/common/colors/editorColors';
import '@codingame/monaco-vscode-api/vscode/vs/platform/theme/common/colors/inputColors';
import '@codingame/monaco-vscode-api/vscode/vs/platform/theme/common/colors/listColors';
import '@codingame/monaco-vscode-api/vscode/vs/platform/theme/common/colors/menuColors';
import '@codingame/monaco-vscode-api/vscode/vs/platform/theme/common/colors/minimapColors';
import '@codingame/monaco-vscode-api/vscode/vs/platform/theme/common/colors/miscColors';
import '@codingame/monaco-vscode-api/vscode/vs/platform/theme/common/colors/quickpickColors';
import '@codingame/monaco-vscode-api/vscode/vs/platform/theme/common/colors/searchColors';

registerColor('mergeEditor.change.background', '#9bb95533', ( localize(7843, 'The background color for changes.')));
registerColor('mergeEditor.change.word.background', { dark: '#9ccc2c33', light: '#9ccc2c66', hcDark: '#9ccc2c33', hcLight: '#9ccc2c66', }, ( localize(7844, 'The background color for word changes.')));
registerColor('mergeEditor.changeBase.background', { dark: '#4B1818FF', light: '#FFCCCCFF', hcDark: '#4B1818FF', hcLight: '#FFCCCCFF', }, ( localize(7845, 'The background color for changes in base.')));
registerColor('mergeEditor.changeBase.word.background', { dark: '#6F1313FF', light: '#FFA3A3FF', hcDark: '#6F1313FF', hcLight: '#FFA3A3FF', }, ( localize(7846, 'The background color for word changes in base.')));
registerColor('mergeEditor.conflict.unhandledUnfocused.border', { dark: '#ffa6007a', light: '#ffa600FF', hcDark: '#ffa6007a', hcLight: '#ffa6007a', }, ( localize(7847, 'The border color of unhandled unfocused conflicts.')));
registerColor('mergeEditor.conflict.unhandledFocused.border', '#ffa600', ( localize(7848, 'The border color of unhandled focused conflicts.')));
registerColor('mergeEditor.conflict.handledUnfocused.border', '#86868649', ( localize(7849, 'The border color of handled unfocused conflicts.')));
registerColor('mergeEditor.conflict.handledFocused.border', '#c1c1c1cc', ( localize(7850, 'The border color of handled focused conflicts.')));
const handledConflictMinimapOverViewRulerColor = registerColor('mergeEditor.conflict.handled.minimapOverViewRuler', '#adaca8ee', ( localize(7851, 'The foreground color for changes in input 1.')));
const unhandledConflictMinimapOverViewRulerColor = registerColor('mergeEditor.conflict.unhandled.minimapOverViewRuler', '#fcba03FF', ( localize(7852, 'The foreground color for changes in input 1.')));
registerColor('mergeEditor.conflictingLines.background', '#ffea0047', ( localize(7853, 'The background of the "Conflicting Lines" text.')));
const contentTransparency = 0.4;
registerColor('mergeEditor.conflict.input1.background', ( transparent(mergeCurrentHeaderBackground, contentTransparency)), ( localize(7854, 'The background color of decorations in input 1.')));
registerColor('mergeEditor.conflict.input2.background', ( transparent(mergeIncomingHeaderBackground, contentTransparency)), ( localize(7855, 'The background color of decorations in input 2.')));

export { handledConflictMinimapOverViewRulerColor, unhandledConflictMinimapOverViewRulerColor };
