
import { localize } from '@codingame/monaco-vscode-api/vscode/vs/nls';
import { Extensions as Extensions$1 } from '@codingame/monaco-vscode-api/vscode/vs/platform/configuration/common/configurationRegistry';
import { LifecyclePhase } from '@codingame/monaco-vscode-api/vscode/vs/workbench/services/lifecycle/common/lifecycle';
import { Registry } from '@codingame/monaco-vscode-api/vscode/vs/platform/registry/common/platform';
import { workbenchConfigurationNodeBase } from '@codingame/monaco-vscode-api/vscode/vs/workbench/common/configuration';
import { Extensions } from '@codingame/monaco-vscode-api/vscode/vs/workbench/common/contributions';
import { SashSettingsController } from './sash.js';
import { isIOS } from '@codingame/monaco-vscode-api/vscode/vs/base/common/platform';

( Registry.as(Extensions.Workbench))
    .registerWorkbenchContribution(SashSettingsController, LifecyclePhase.Restored);
( Registry.as(Extensions$1.Configuration))
    .registerConfiguration({
    ...workbenchConfigurationNodeBase,
    properties: {
        'workbench.sash.size': {
            type: 'number',
            default: isIOS ? 20 : 4,
            minimum: 1,
            maximum: 20,
            description: ( localize(
                9069,
                "Controls the feedback area size in pixels of the dragging area in between views/editors. Set it to a larger value if you feel it's hard to resize views using the mouse."
            ))
        },
        'workbench.sash.hoverDelay': {
            type: 'number',
            default: 300,
            minimum: 0,
            maximum: 2000,
            description: ( localize(
                9070,
                "Controls the hover feedback delay in milliseconds of the dragging area in between views/editors."
            ))
        },
    }
});
