import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { IConfigurationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/configuration/common/configuration.service";
import { IWorkbenchColorTheme } from "@codingame/monaco-vscode-9d0168a3-519b-57f3-9bcc-89efc41f951a-common/vscode/vs/workbench/services/themes/common/workbenchThemeService";
import { IWorkbenchThemeService } from "@codingame/monaco-vscode-7443a901-21f6-577a-9674-42893b997ee0-common/vscode/vs/workbench/services/themes/common/workbenchThemeService.service";
import { WebviewStyles } from "@codingame/monaco-vscode-324f9a6e-6231-5bfc-af17-e147abd2dfd2-common/vscode/vs/workbench/contrib/webview/browser/webview";
interface WebviewThemeData {
    readonly activeTheme: string;
    readonly themeLabel: string;
    readonly themeId: string;
    readonly styles: Readonly<WebviewStyles>;
}
export declare class WebviewThemeDataProvider extends Disposable {
    private readonly _themeService;
    private readonly _configurationService;
    private _cachedWebViewThemeData;
    private readonly _onThemeDataChanged;
    readonly onThemeDataChanged: import("@codingame/monaco-vscode-api/vscode/vs/base/common/event").Event<void>;
    constructor(_themeService: IWorkbenchThemeService, _configurationService: IConfigurationService);
    getTheme(): IWorkbenchColorTheme;
    getWebviewThemeData(): WebviewThemeData;
    private _reset;
}
export {};
