import { Event } from "@codingame/monaco-vscode-api/vscode/vs/base/common/event";
import { IContextKey } from "@codingame/monaco-vscode-api/vscode/vs/platform/contextkey/common/contextkey";
import { IContextKeyService } from "@codingame/monaco-vscode-api/vscode/vs/platform/contextkey/common/contextkey.service";
import { IContextViewService } from "@codingame/monaco-vscode-api/vscode/vs/platform/contextview/browser/contextView.service";
import { IHoverService } from "@codingame/monaco-vscode-api/vscode/vs/platform/hover/browser/hover.service";
import { IKeybindingService } from "@codingame/monaco-vscode-api/vscode/vs/platform/keybinding/common/keybinding.service";
import { SimpleFindWidget } from "@codingame/monaco-vscode-d26a96d3-122c-5a3d-a04d-deb5ff0f19c0-common/vscode/vs/workbench/contrib/codeEditor/browser/find/simpleFindWidget";
export interface WebviewFindDelegate {
    readonly hasFindResult: Event<boolean>;
    readonly onDidStopFind: Event<void>;
    readonly checkImeCompletionState: boolean;
    find(value: string, previous: boolean): void;
    updateFind(value: string): void;
    stopFind(keepSelection?: boolean): void;
    focus(): void;
}
export declare class WebviewFindWidget extends SimpleFindWidget {
    private readonly _delegate;
    protected _getResultCount(dataChanged?: boolean): Promise<{
        resultIndex: number;
        resultCount: number;
    } | undefined>;
    protected readonly _findWidgetFocused: IContextKey<boolean>;
    constructor(_delegate: WebviewFindDelegate, contextViewService: IContextViewService, contextKeyService: IContextKeyService, hoverService: IHoverService, keybindingService: IKeybindingService);
    find(previous: boolean): void;
    hide(animated?: boolean): void;
    protected _onInputChanged(): boolean;
    protected _onFocusTrackerFocus(): void;
    protected _onFocusTrackerBlur(): void;
    protected _onFindInputFocusTrackerFocus(): void;
    protected _onFindInputFocusTrackerBlur(): void;
    findFirst(): void;
}
